MacDraft5ParserInternal::Layout Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
MacDraft5ParserInternal::Layout Struct Reference

Internal and low level: a class used to store layout definition of a MacDraf5Parser. More...

## Public Member Functions
| Layout (int id)
| constructor More...
bool | isEmpty () const
| returns true if the layout contains no shape More...
shared_ptr< Shape > | findShape (long id, bool normallyExist=true) const
| returns a child corresponding to an id More...
void | updateRelations ()
| try to check/update the parent relations are compatible with group childs, no loop exist, ... More...

## Public Attributes
int | m_id
| the layout id More...
MWAWEntry | m_entry
| the layout position in the data fork More...
int | m_N
| the number of elements More...
int | m_objectId
| the object number More...
librevenge::RVNGString | m_name
| the layout name More...
std::vector< shared_ptr< Shape > > | m_shapeList
| the shapes list More...
std::vector< size_t > | m_rootList
| the root position list More...
std::map< long, size_t > | m_idToShapePosMap
| a map id to position in shapeList More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Layout const &lay)
| operator<< More...

## Detailed Description

Internal and low level: a class used to store layout definition of a MacDraf5Parser.

## Constructor & Destructor Documentation

MacDraft5ParserInternal::Layout::Layout | ( | int | id | ) |
| inlineexplicit

constructor

## Member Function Documentation

shared_ptr<Shape> MacDraft5ParserInternal::Layout::findShape | ( | long | id,
|  | bool | normallyExist = `true`
| ) |  | const
| inline

returns a child corresponding to an id

Referenced by MacDraft5Parser::send(), and MacDraft5Parser::sendText().

bool MacDraft5ParserInternal::Layout::isEmpty | ( |  | ) | const
| inline

returns true if the layout contains no shape

void MacDraft5ParserInternal::Layout::updateRelations | ( |  | ) |

try to check/update the parent relations are compatible with group childs, no loop exist, ...

Referenced by MacDraft5Parser::readLayout().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Layout const & | lay
| ) |  |
| friend

operator<<

## Member Data Documentation

MWAWEntry MacDraft5ParserInternal::Layout::m_entry

the layout position in the data fork

Referenced by MacDraft5Parser::readLayout().

std::string MacDraft5ParserInternal::Layout::m_extra

extra data

int MacDraft5ParserInternal::Layout::m_id

the layout id

Referenced by MacDraft5Parser::send().

std::map<long, size_t> MacDraft5ParserInternal::Layout::m_idToShapePosMap

a map id to position in shapeList

int MacDraft5ParserInternal::Layout::m_N

the number of elements

Referenced by MacDraft5Parser::readLayout().

librevenge::RVNGString MacDraft5ParserInternal::Layout::m_name

the layout name

Referenced by MacDraft5Parser::send().

int MacDraft5ParserInternal::Layout::m_objectId

the object number

Referenced by MacDraft5Parser::readLayout(), and MacDraft5Parser::readObject().

std::vector<size_t> MacDraft5ParserInternal::Layout::m_rootList

the root position list

Referenced by MacDraft5Parser::send().

std::vector<shared_ptr<Shape> > MacDraft5ParserInternal::Layout::m_shapeList

the shapes list

Referenced by MacDraft5Parser::readObject(), and MacDraft5Parser::send().

The documentation for this struct was generated from the following file:

- MacDraft5Parser.cxx